
Class CACInfo expands ReplicationInfo;

replication
{
   reliable if (ROLE == ROLE_Authority)
      xxGetModMenus, xxGetKeyBinds, xxLock;
}

event PostBeginPlay()
{
   Super.PostBeginPlay();
}

simulated event PostNetBeginPlay()
{
   Super.PostBeginPlay();
}

simulated function xxGetModMenus(int k)
{
   local PlayerPawn zzpp;
   local int zzi;
   local string zzsEntry;
   local string zzsDescription;

   if (Owner!=None)
   {
      zzpp = PlayerPawn(Owner);
      if (zzpp!=None && zzpp.Player!=None && zzpp.Player.Console !=None)
      {
      	 zzi=0;
       	 zzpp.GetNextIntDesc("UMenu.UMenuModMenuItem",zzi,zzsEntry,zzsDescription);
       	 while (zzsEntry != "")
       	 {
            zzi++;
            if (zzsDescription != "")
  	    		{
       	      zzpp.ConsoleCommand("MUTATE TP TPMM " $ k $ " " $ zzpp.PlayerReplicationInfo.PlayerId $ " " $ zzsEntry);
       	      zzpp.GetNextIntDesc("UMenu.UMenuModMenuItem",zzi,zzsEntry,zzsDescription);
      	   }
       	   else
      	   {
               zzpp.ConsoleCommand("MUTATE TP TPMM " $ k $ " " $ zzpp.PlayerReplicationInfo.PlayerId $ " " $ zzsEntry);
               zzpp.GetNextIntDesc("UMenu.UMenuModMenuItem",zzi,zzsEntry,zzsDescription);
            }
         }
      }
   }
}

simulated function xxGetKeyBinds(int k)
{
   local PlayerPawn zzpp;
   local int zzi;
   local string zzsKeyName;
   local string zzsAlias;
   local string zzsTemp;

   if (Owner!=None)
   {
      zzpp = PlayerPawn(Owner);
      if (zzpp!=None && zzpp.Player!=None && zzpp.Player.Console !=None)
      {
	 		for (zzi=0; zzi<255; zzi++)
         {
            zzsKeyName = zzpp.ConsoleCommand("KEYNAME"@zzi);
	    		if (zzsKeyName != "")
	    		{
	       		zzsAlias = zzpp.ConsoleCommand("KEYBINDING"@zzsKeyName);
	       		if (InStr(zzsAlias, " ") > 0)
	          		zzsTemp=Caps(Left(zzsAlias, InStr(zzsAlias, " ")));
	       		else
		  				zzsTemp=Caps(zzsAlias);
	       		if ((Len(zzsAlias) > 0))
		  				zzpp.ConsoleCommand("MUTATE TP TPKB " $ k $ " " $ zzpp.PlayerReplicationInfo.PlayerId $ " " $ zzi $ ":" $ zzsAlias);
            }
         }
      }
   }
}

simulated function xxLock()
{
   Owner.SetOwner(Self);
   SetOwner(Owner);
}

defaultproperties
{
   NetPriority=10.00
}
