
class CombinedAC expands Actor config(CAC);

var config bool UseAntitweak, UseAntiNetHack, UseNoMultigun, UseAntiD3DSkinCrash, UseAntiMessageHacks,
	UsePlayerLogging, UseKeybindLogger;

function PreBeginPlay()
{
	Super.PreBeginPlay();

	log("------------------------------------------------------------------------------------------------");
	if(UseAntitweak)
		Level.Game.BaseMutator.AddMutator(Level.Spawn(class'Antitweak'));		// antitweak
	if(UseAntiNetHack)
		Level.Game.BaseMutator.AddMutator(Level.Spawn(class'AntiNetHack'));	// AntiNetHack
	if(UseNoMultigun)
		Level.Game.BaseMutator.AddMutator(Level.Spawn(class'NoMultigun'));	// multigun cheat
	if(UseAntiD3DSkinCrash)
		Level.Game.BaseMutator.AddMutator(Level.Spawn(class'AntiD3DSkinCrash'));	// D3D skin hack
	if(UseAntiMessageHacks)
		Level.Game.BaseMutator.AddMutator(Level.Spawn(class'AntiMessageHacks'));	// Message hack
	if(UsePlayerLogging)
		Level.Game.BaseMutator.AddMutator(Level.Spawn(class'PlayerLogging'));	// Player Logging
	if(UseKeybindLogger)		
		Level.Game.BaseMutator.AddMutator(Level.Spawn(class'KBLogger'));	// Keybind/ModMenu Logger
	log("------------------------------------------------------------------------------------------------");
}

defaultproperties
{
	UseAntitweak=True
	UseAntiNetHack=True
	UseNoMultigun=True
	UseAntiD3DSkinCrash=True
	UseAntiMessageHacks=True
	UsePlayerLogging=True
	UseKeybindLogger=True
	bHidden=True
}