
class NoMultigun expands Mutator config(CAC);

var private Small3WoodFragments zzAT3Log;
var config bool LogOnly;

function PostBeginPlay()
{
	SetTimer(5, True);
	zzAT3Log = spawn(class'Small3WoodFragments');
	log("*    CombinedAC: MultiGun is Active                  *");
}

function Timer()
{
	local Pawn zzP;
	local string zztweakstr;

	for (zzP = Level.PawnList; zzP != None; zzP = zzP.nextPawn)
	{
		if (PlayerPawn(zzP) != None && !zzP.bHidden && zzP.Health > 0 && zzP.PlayerReplicationInfo != None 
		&& zzP.PlayerReplicationInfo.bFeigningDeath && (zzP.bFire != 0 || zzP.bAltFire != 0))
		{
			zztweakstr = ("*MultiGunUse* " $ zzP.PlayerReplicationInfo.PlayerName $ " attempted to use multigun cheat.");
			xxATLogThis(zztweakstr, level.game.gameReplicationInfo.serverName);
			log("---------------- MultiGun Detected ----------------", 'MultiGun_Detect');
			log(zzP.PlayerReplicationInfo.PlayerName $ " tried to multigun and was punished by the server.", 'MultiGun_Detect');
			log("---------------------------------------------------", 'MultiGun_Detect');
			
			if(!LogOnly)
			{
				BroadcastMessage(zzP.PlayerReplicationInfo.PlayerName $ " attempted to multigun and was punished!", false, '');
				zzP.ClientMessage("Multigunning is NOT allowed in this server", 'CriticalEvent', True);
				zzP.TakeDamage(500000, None, zzP.Location - (zzP.CollisionHeight*vect(0,0,1)), vect(0,0,200000), 'MultiGunDmg');
			}
		}
	}
}

function xxATLogThis(string str, string serverName)
{
   local string parts[];

   zzAT3Log.StartLog();
   zzAT3Log.logEventString("Server Name: " $ serverName);
   zzAT3Log.logEventString(str);
   zzAT3Log.stopLog();
}

defaultproperties
{
	LogOnly=False
}